//
//	config.h -- Build configuration file for C/C++ source code.
//
//	Copyright (c) Mbedthis Software LLC, 2003-2004. All Rights Reserved.
//	The latest version of this code is available at http://www.mbedthis.com
//
//	WARNING: This file is generated by configure and matches the build 
//	configuration for the AppWeb library. DO NOT EDIT.
//
////////////////////////////////////////////////////////////////////////////////
//
//	This software is open source; you can redistribute it and/or modify it 
//	under the terms of the GNU General Public License as published by the 
//	Free Software Foundation; either version 2 of the License, or (at your 
//	option) any later version.
//
//	This program is distributed WITHOUT ANY WARRANTY; without even the 
//	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//	See the GNU General Public License for more details at:
//	http://www.mbedthis.com/downloads/gplLicense.html
//	
//	This General Public License does NOT permit incorporating this software 
//	into proprietary programs. If you are unable to comply with the GPL, a 
//	commercial license for this software and support services are available
//	from Mbedthis Software at http://www.mbedthis.com
//
////////////////////////////////////////////////////////////////////////////////

#ifndef _h_CONFIG_H
#define _h_CONFIG_H 1

//
//	Product version
//
#define BLD_NAME						"_BLD_NAME"
#define BLD_VERSION						"_BLD_VERSION"
#define BLD_NUMBER						"_BLD_NUMBER"
#define BLD_TYPE						"_BLD_TYPE"
#define BLD_DEFAULTS					"_BLD_DEFAULTS"

//
//	Other product information
//
#define BLD_COMPANY						"_BLD_COMPANY"
#define BLD_DEBUG						_BLD_DEBUG
#define BLD_DIRS						"_BLD_DIRS"
#define BLD_HTTP_PORT					_BLD_HTTP_PORT
#define BLD_LIB_VERSION					"_BLD_LIB_VERSION"
#define BLD_PRODUCT						"_BLD_PRODUCT"
#define BLD_SSL_PORT					_BLD_SSL_PORT

//
//	Build system settings (system doing compiling). Blank means use defaults.
//
#define BLD_BUILD_CPU					"_BLD_BUILD_CPU"
#define BLD_BUILD_OS					"_BLD_BUILD_OS"

//
//	Hosting (target) system settings.
//
#define BLD_CPU							"_BLD_CPU"
#define BLD_OS							"_BLD_OS"
#define BLD_UNIX						"_BLD_UNIX"
#define MPR_CPU							_MPR_CPU

//
//	Installation directories
//
#define BLD_PREFIX						"_BLD_PREFIX"
#define BLD_DOC_PREFIX					"_BLD_DOC_PREFIX"
#define BLD_INC_PREFIX					"_BLD_INC_PREFIX"
#define BLD_LIB_PREFIX					"_BLD_LIB_PREFIX"
#define BLD_ROOT_PREFIX					"_BLD_ROOT_PREFIX"
#define BLD_SBIN_PREFIX					"_BLD_SBIN_PREFIX"
#define BLD_SRC_PREFIX					"_BLD_SRC_PREFIX"
#define BLD_WEB_PREFIX					"_BLD_WEB_PREFIX"

//
//	Feature selection
//
#define BLD_FEATURE_ACCESS_LOG			_BLD_FEATURE_ACCESS_LOG
#define BLD_FEATURE_ADMIN_MODULE		_BLD_FEATURE_ADMIN_MODULE
#define BLD_FEATURE_ASSERT				_BLD_FEATURE_ASSERT
#define BLD_FEATURE_AUTH_MODULE			_BLD_FEATURE_AUTH_MODULE
#define BLD_FEATURE_C_API_MODULE		_BLD_FEATURE_C_API_MODULE
#define BLD_FEATURE_CGI_MODULE			_BLD_FEATURE_CGI_MODULE
#define BLD_FEATURE_COMPAT_MODULE		_BLD_FEATURE_COMPAT_MODULE
#define BLD_FEATURE_COOKIE				_BLD_FEATURE_COOKIE
#define BLD_FEATURE_COPY_MODULE			_BLD_FEATURE_COPY_MODULE
#define BLD_FEATURE_CONFIG				_BLD_FEATURE_CONFIG
#define BLD_FEATURE_DIGEST				_BLD_FEATURE_DIGEST
#define BLD_FEATURE_DLL					_BLD_FEATURE_DLL
#define BLD_FEATURE_EGI_MODULE			_BLD_FEATURE_EGI_MODULE
#define BLD_FEATURE_ESP_MODULE			_BLD_FEATURE_ESP_MODULE
#define BLD_FEATURE_EJS_MODULE			_BLD_FEATURE_EJS_MODULE
#define BLD_FEATURE_KEEP_ALIVE			_BLD_FEATURE_KEEP_ALIVE
#define BLD_FEATURE_IF_MODIFIED			_BLD_FEATURE_IF_MODIFIED
#define BLD_FEATURE_LIB_STDCPP			_BLD_FEATURE_LIB_STDCPP
#define BLD_FEATURE_LOG					_BLD_FEATURE_LOG
#define BLD_FEATURE_MULTITHREAD			_BLD_FEATURE_MULTITHREAD
#define BLD_FEATURE_MALLOC				_BLD_FEATURE_MALLOC
#define BLD_FEATURE_MALLOC_STATS		_BLD_FEATURE_MALLOC_STATS
#define BLD_FEATURE_MALLOC_LEAK			_BLD_FEATURE_MALLOC_LEAK
#define BLD_FEATURE_MALLOC_HOOK			_BLD_FEATURE_MALLOC_HOOK
#define BLD_FEATURE_OPENSSL_MODULE		_BLD_FEATURE_OPENSSL_MODULE
#define BLD_FEATURE_PHP4_MODULE			_BLD_FEATURE_PHP4_MODULE
#define BLD_FEATURE_PHP5_MODULE			_BLD_FEATURE_PHP5_MODULE
#define BLD_FEATURE_ROMFS				_BLD_FEATURE_ROMFS
#define BLD_FEATURE_RUN_AS_SERVICE		_BLD_FEATURE_RUN_AS_SERVICE
#define BLD_FEATURE_SAFE_STRINGS		_BLD_FEATURE_SAFE_STRINGS
#define BLD_FEATURE_SAMPLES				_BLD_FEATURE_SAMPLES
#define BLD_FEATURE_SESSION				_BLD_FEATURE_SESSION
#define BLD_FEATURE_SHARED				_BLD_FEATURE_SHARED
#define BLD_FEATURE_SQUEEZE				_BLD_FEATURE_SQUEEZE
#define BLD_FEATURE_SSL_MODULE			_BLD_FEATURE_SSL_MODULE
#define BLD_FEATURE_STATIC				_BLD_FEATURE_STATIC
#define BLD_FEATURE_TEST				_BLD_FEATURE_TEST
#define BLD_FEATURE_UPLOAD_MODULE		_BLD_FEATURE_UPLOAD_MODULE
#define BLD_FEATURE_XDB_MODULE			_BLD_FEATURE_XDB_MODULE

//
//	Static or shared libc
//
#define BLD_FEATURE_STATIC_LINK_LIBC			_BLD_FEATURE_STATIC_LINK_LIBC

//
//	Clean install or not
//
#define BLD_CLEAN_INSTALL						_BLD_CLEAN_INSTALL

//
//	AppWeb configuration file
//
#define BLD_APPWEB_CONFIG						_BLD_APPWEB_CONFIG

//
//	Builtin modules
//
#define BLD_FEATURE_ADMIN_MODULE_BUILTIN		_BLD_FEATURE_ADMIN_MODULE_BUILTIN
#define BLD_FEATURE_AUTH_MODULE_BUILTIN			_BLD_FEATURE_AUTH_MODULE_BUILTIN
#define BLD_FEATURE_C_API_MODULE_BUILTIN		_BLD_FEATURE_C_API_MODULE_BUILTIN
#define BLD_FEATURE_CGI_MODULE_BUILTIN			_BLD_FEATURE_CGI_MODULE_BUILTIN
#define BLD_FEATURE_COMPAT_MODULE_BUILTIN		_BLD_FEATURE_COMPAT_MODULE_BUILTIN
#define BLD_FEATURE_COPY_MODULE_BUILTIN			_BLD_FEATURE_COPY_MODULE_BUILTIN
#define BLD_FEATURE_EGI_MODULE_BUILTIN			_BLD_FEATURE_EGI_MODULE_BUILTIN
#define BLD_FEATURE_EJS_MODULE_BUILTIN			_BLD_FEATURE_EJS_MODULE_BUILTIN
#define BLD_FEATURE_ESP_MODULE_BUILTIN			_BLD_FEATURE_ESP_MODULE_BUILTIN
#define BLD_FEATURE_OPENSSL_MODULE_BUILTIN		_BLD_FEATURE_OPENSSL_MODULE_BUILTIN
#define BLD_FEATURE_PHP4_MODULE_BUILTIN			_BLD_FEATURE_PHP4_MODULE_BUILTIN
#define BLD_FEATURE_PHP5_MODULE_BUILTIN			_BLD_FEATURE_PHP5_MODULE_BUILTIN
#define BLD_FEATURE_SSL_MODULE_BUILTIN			_BLD_FEATURE_SSL_MODULE_BUILTIN
#define BLD_FEATURE_UPLOAD_MODULE_BUILTIN		_BLD_FEATURE_UPLOAD_MODULE_BUILTIN
#define BLD_FEATURE_XDB_MODULE_BUILTIN			_BLD_FEATURE_XDB_MODULE_BUILTIN

//
//	Loadable modules
//
#define BLD_FEATURE_ADMIN_MODULE_LOADABLE		_BLD_FEATURE_ADMIN_MODULE_LOADABLE
#define BLD_FEATURE_AUTH_MODULE_LOADABLE		_BLD_FEATURE_AUTH_MODULE_LOADABLE
#define BLD_FEATURE_C_API_MODULE_LOADABLE		_BLD_FEATURE_C_API_MODULE_LOADABLE
#define BLD_FEATURE_CGI_MODULE_LOADABLE			_BLD_FEATURE_CGI_MODULE_LOADABLE
#define BLD_FEATURE_COMPAT_MODULE_LOADABLE		_BLD_FEATURE_COMPAT_MODULE_LOADABLE
#define BLD_FEATURE_COPY_MODULE_LOADABLE		_BLD_FEATURE_COPY_MODULE_LOADABLE
#define BLD_FEATURE_EGI_MODULE_LOADABLE			_BLD_FEATURE_EGI_MODULE_LOADABLE
#define BLD_FEATURE_EJS_MODULE_LOADABLE			_BLD_FEATURE_EJS_MODULE_LOADABLE
#define BLD_FEATURE_ESP_MODULE_LOADABLE			_BLD_FEATURE_ESP_MODULE_LOADABLE
#define BLD_FEATURE_OPENSSL_MODULE_LOADABLE		_BLD_FEATURE_OPENSSL_MODULE_LOADABLE
#define BLD_FEATURE_PHP4_MODULE_LOADABLE		_BLD_FEATURE_PHP4_MODULE_LOADABLE
#define BLD_FEATURE_PHP5_MODULE_LOADABLE		_BLD_FEATURE_PHP5_MODULE_LOADABLE
#define BLD_FEATURE_SSL_MODULE_LOADABLE			_BLD_FEATURE_SSL_MODULE_LOADABLE
#define BLD_FEATURE_UPLOAD_MODULE_LOADABLE		_BLD_FEATURE_UPLOAD_MODULE_LOADABLE
#define BLD_FEATURE_XDB_MODULE_LOADABLE			_BLD_FEATURE_XDB_MODULE_LOADABLE

////////////////////////////////////////////////////////////////////////////////
//
//	Local variables:
//	tab-width: 4
//	c-basic-offset: 4
//	End:
//	vim600: sw=4 ts=4 fdm=marker
//	vim<600: sw=4 ts=4
//

#endif /* _h_CONFIG_H */
