#
#	config.sh -- Build configuration file for shell scripts.
#
#	Copyright (c) Mbedthis Software LLC, 2003-2004. All Rights Reserved.
#	The latest version of this code is available at http://www.mbedthis.com
#
#	WARNING: This file is generated by configure. DO NOT EDIT.
#	If you wish to modify the defaults, then edit conf/config.defaults.* and 
#	then run "configure --reset".
#
################################################################################
#
#	Copyright (c) Mbedthis Software LLC, 2003-2004. All Rights Reserved.
#	The latest version of this code is available at http://www.mbedthis.com
#
#	This software is open source; you can redistribute it and/or modify it 
#	under the terms of the GNU General Public License as published by the 
#	Free Software Foundation; either version 2 of the License, or (at your 
#	option) any later version.
#
#	This program is distributed WITHOUT ANY WARRANTY; without even the 
#	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
#	See the GNU General Public License for more details at:
#	http://www.mbedthis.com/downloads/gplLicense.html
#	
#	This General Public License does NOT permit incorporating this software 
#	into proprietary programs. If you are unable to comply with the GPL, a 
#	commercial license for this software and support services are available
#	from Mbedthis Software at http://www.mbedthis.com
#
################################################################################
#
#	Product version
#
BLD_NAME="_BLD_NAME"
BLD_VERSION="_BLD_VERSION"
BLD_NUMBER="_BLD_NUMBER"
BLD_TYPE="_BLD_TYPE"
BLD_DEFAULTS="_BLD_DEFAULTS"

#
#	Other product settings
#
BLD_COMPANY="_BLD_COMPANY"
BLD_DEBUG=_BLD_DEBUG
BLD_DIRS="_BLD_DIRS"
BLD_HTTP_PORT=_BLD_HTTP_PORT
BLD_LIB_VERSION="_BLD_LIB_VERSION"
BLD_PRODUCT="_BLD_PRODUCT"
BLD_SSL_PORT=_BLD_SSL_PORT

#
# 	Build system settings (system doing compiling). Blank means use defaults.
#
BLD_BUILD_CPU="_BLD_BUILD_CPU"
BLD_BUILD_OS="_BLD_BUILD_OS"

#
#	Hosting (target) system settings.
#
BLD_CPU="_BLD_CPU"
BLD_OS="_BLD_OS"
BLD_UNIX="_BLD_UNIX"
MPR_CPU=_MPR_CPU

#
#	Installation directories
#
BLD_PREFIX="_BLD_PREFIX"
BLD_DOC_PREFIX="_BLD_DOC_PREFIX"
BLD_INC_PREFIX="_BLD_INC_PREFIX"
BLD_LIB_PREFIX="_BLD_LIB_PREFIX"
BLD_ROOT_PREFIX="_BLD_ROOT_PREFIX"
BLD_SBIN_PREFIX="_BLD_SBIN_PREFIX"
BLD_SRC_PREFIX="_BLD_SRC_PREFIX"
BLD_WEB_PREFIX="_BLD_WEB_PREFIX"

if [ "${BLD_OS}" = "WIN" ]
then
	BLD_TOOLS_DIR=${BLD_TOP}/bin
	BLD_BIN_DIR=${BLD_TOP}/bin/_BLD_TYPE
	BLD_INC_DIR=${BLD_TOP}/include
	BLD_EXP_OBJ_DIR=${BLD_TOP}/obj/_BLD_TYPE
else
	BLD_TOOLS_DIR=${BLD_TOP}/bin
	BLD_BIN_DIR=${BLD_TOP}/bin
	BLD_INC_DIR=/usr/include/_BLD_PRODUCT
	BLD_EXP_OBJ_DIR=${BLD_TOP}/obj
fi

#
#	BLD_OBJ_DIR varies per-makefile depending on if the directory is exporting
#	objects.
#
if [ "${EXPORT_OBJECTS}" = yes ]
then
	BLD_OBJ_DIR=${BLD_EXP_OBJ_DIR}
else
	BLD_OBJ_DIR=.
fi

#
#	Feature selection
#
BLD_FEATURE_ACCESS_LOG=_BLD_FEATURE_ACCESS_LOG
BLD_FEATURE_ADMIN_MODULE=_BLD_FEATURE_ADMIN_MODULE
BLD_FEATURE_ASSERT=_BLD_FEATURE_ASSERT
BLD_FEATURE_AUTH_MODULE=_BLD_FEATURE_AUTH_MODULE
BLD_FEATURE_C_API_MODULE=_BLD_FEATURE_C_API_MODULE
BLD_FEATURE_CGI_MODULE=_BLD_FEATURE_CGI_MODULE
BLD_FEATURE_COMPAT_MODULE=_BLD_FEATURE_COMPAT_MODULE
BLD_FEATURE_CONFIG=_BLD_FEATURE_CONFIG
BLD_FEATURE_COOKIE=_BLD_FEATURE_COOKIE
BLD_FEATURE_COPY_MODULE=_BLD_FEATURE_COPY_MODULE
BLD_FEATURE_DIGEST=_BLD_FEATURE_DIGEST
BLD_FEATURE_DLL=_BLD_FEATURE_DLL
BLD_FEATURE_EGI_MODULE=_BLD_FEATURE_EGI_MODULE
BLD_FEATURE_EJS_MODULE=_BLD_FEATURE_EJS_MODULE
BLD_FEATURE_ESP_MODULE=_BLD_FEATURE_ESP_MODULE
BLD_FEATURE_KEEP_ALIVE=_BLD_FEATURE_KEEP_ALIVE
BLD_FEATURE_IF_MODIFIED=_BLD_FEATURE_IF_MODIFIED
BLD_FEATURE_LIB_STDCPP=_BLD_FEATURE_LIB_STDCPP
BLD_FEATURE_LOG=_BLD_FEATURE_LOG
BLD_FEATURE_MULTITHREAD=_BLD_FEATURE_MULTITHREAD
BLD_FEATURE_MALLOC=_BLD_FEATURE_MALLOC
BLD_FEATURE_MALLOC_STATS=_BLD_FEATURE_MALLOC_STATS
BLD_FEATURE_MALLOC_LEAK=_BLD_FEATURE_MALLOC_LEAK
BLD_FEATURE_MALLOC_HOOK=_BLD_FEATURE_MALLOC_HOOK
BLD_FEATURE_OPENSSL_MODULE=_BLD_FEATURE_OPENSSL_MODULE
BLD_FEATURE_PHP4_MODULE=_BLD_FEATURE_PHP4_MODULE
BLD_FEATURE_PHP5_MODULE=_BLD_FEATURE_PHP5_MODULE
BLD_FEATURE_ROMFS=_BLD_FEATURE_ROMFS
BLD_FEATURE_RUN_AS_SERVICE=_BLD_FEATURE_RUN_AS_SERVICE
BLD_FEATURE_SAFE_STRINGS=_BLD_FEATURE_SAFE_STRINGS
BLD_FEATURE_SAMPLES=_BLD_FEATURE_SAMPLES
BLD_FEATURE_SESSION=_BLD_FEATURE_SESSION
BLD_FEATURE_SHARED=_BLD_FEATURE_SHARED 
BLD_FEATURE_SQUEEZE=_BLD_FEATURE_SQUEEZE
BLD_FEATURE_SSL_MODULE=_BLD_FEATURE_SSL_MODULE
BLD_FEATURE_STATIC=_BLD_FEATURE_STATIC 
BLD_FEATURE_TEST=_BLD_FEATURE_TEST
BLD_FEATURE_UPLOAD_MODULE=_BLD_FEATURE_UPLOAD_MODULE
BLD_FEATURE_XDB_MODULE=_BLD_FEATURE_XDB_MODULE

#
#	Static or shared libc
#
BLD_FEATURE_STATIC_LINK_LIBC=_BLD_FEATURE_STATIC_LINK_LIBC

#
#	Clean install or not
#
BLD_CLEAN_INSTALL=_BLD_CLEAN_INSTALL

#
#	AppWeb configuration file
#
BLD_APPWEB_CONFIG=_BLD_APPWEB_CONFIG

#
#	Builtin modules
#
BLD_FEATURE_ADMIN_MODULE_BUILTIN=_BLD_FEATURE_ADMIN_MODULE_BUILTIN
BLD_FEATURE_AUTH_MODULE_BUILTIN=_BLD_FEATURE_AUTH_MODULE_BUILTIN
BLD_FEATURE_C_API_MODULE_BUILTIN=_BLD_FEATURE_C_API_MODULE_BUILTIN
BLD_FEATURE_CGI_MODULE_BUILTIN=_BLD_FEATURE_CGI_MODULE_BUILTIN
BLD_FEATURE_COMPAT_MODULE_BUILTIN=_BLD_FEATURE_COMPAT_MODULE_BUILTIN
BLD_FEATURE_COPY_MODULE_BUILTIN=_BLD_FEATURE_COPY_MODULE_BUILTIN
BLD_FEATURE_EGI_MODULE_BUILTIN=_BLD_FEATURE_EGI_MODULE_BUILTIN
BLD_FEATURE_EJS_MODULE_BUILTIN=_BLD_FEATURE_EJS_MODULE_BUILTIN
BLD_FEATURE_ESP_MODULE_BUILTIN=_BLD_FEATURE_ESP_MODULE_BUILTIN
BLD_FEATURE_OPENSSL_MODULE_BUILTIN=_BLD_FEATURE_OPENSSL_MODULE_BUILTIN
BLD_FEATURE_PHP4_MODULE_BUILTIN=_BLD_FEATURE_PHP4_MODULE_BUILTIN
BLD_FEATURE_PHP5_MODULE_BUILTIN=_BLD_FEATURE_PHP5_MODULE_BUILTIN
BLD_FEATURE_SSL_MODULE_BUILTIN=_BLD_FEATURE_SSL_MODULE_BUILTIN
BLD_FEATURE_UPLOAD_MODULE_BUILTIN=_BLD_FEATURE_UPLOAD_MODULE_BUILTIN
BLD_FEATURE_XDB_MODULE_BUILTIN=_BLD_FEATURE_XDB_MODULE_BUILTIN

#
#	Loadable modules
#
BLD_FEATURE_ADMIN_MODULE_LOADABLE=_BLD_FEATURE_ADMIN_MODULE_LOADABLE
BLD_FEATURE_AUTH_MODULE_LOADABLE=_BLD_FEATURE_AUTH_MODULE_LOADABLE
BLD_FEATURE_C_API_MODULE_LOADABLE=_BLD_FEATURE_C_API_MODULE_LOADABLE
BLD_FEATURE_CGI_MODULE_LOADABLE=_BLD_FEATURE_CGI_MODULE_LOADABLE
BLD_FEATURE_COMPAT_MODULE_LOADABLE=_BLD_FEATURE_COMPAT_MODULE_LOADABLE
BLD_FEATURE_COPY_MODULE_LOADABLE=_BLD_FEATURE_COPY_MODULE_LOADABLE
BLD_FEATURE_EGI_MODULE_LOADABLE=_BLD_FEATURE_EGI_MODULE_LOADABLE
BLD_FEATURE_EJS_MODULE_LOADABLE=_BLD_FEATURE_EJS_MODULE_LOADABLE
BLD_FEATURE_ESP_MODULE_LOADABLE=_BLD_FEATURE_ESP_MODULE_LOADABLE
BLD_FEATURE_OPENSSL_MODULE_LOADABLE=_BLD_FEATURE_OPENSSL_MODULE_LOADABLE
BLD_FEATURE_PHP4_MODULE_LOADABLE=_BLD_FEATURE_PHP4_MODULE_LOADABLE
BLD_FEATURE_PHP5_MODULE_LOADABLE=_BLD_FEATURE_PHP5_MODULE_LOADABLE
BLD_FEATURE_SSL_MODULE_LOADABLE=_BLD_FEATURE_SSL_MODULE_LOADABLE
BLD_FEATURE_UPLOAD_MODULE_LOADABLE=_BLD_FEATURE_UPLOAD_MODULE_LOADABLE
BLD_FEATURE_XDB_MODULE_LOADABLE=_BLD_FEATURE_XDB_MODULE_LOADABLE

#
#	Location of package directories
#
BLD_PHP4_DIR=_BLD_PHP4_DIR
BLD_PHP5_DIR=_BLD_PHP5_DIR
BLD_OPENSSL_DIR=_BLD_OPENSSL_DIR

#
#	Package libraries
#
BLD_PHP4_LIBS="_BLD_PHP4_LIBS"
BLD_PHP5_LIBS="_BLD_PHP5_LIBS"
BLD_OPENSSL_LIBS="_BLD_OPENSSL_LIBS"

################################################################################
#
#	Ensure we run our build tools by preference
#

PATH=${BLD_TOP}/bin:${BLD_TOP}/bin/${BLD_TYPE}:${PATH}
export PATH

################################################################################
#
#	Standard programs
#
#	If the user specifies the flags to configure (eg. CFLAGS=-Y ./configure) 
#	those take precedence. Otherwise, we use the factory defaults if the 
#	user supplies no such flags.
#
BLD_AR="_BLD_AR"
BLD_CC="_BLD_CC"
BLD_CC_FOR_BUILD="_BLD_CC_FOR_BUILD"
BLD_JAVAC="_BLD_JAVAC"
BLD_LD="_BLD_LD"
BLD_LD_FOR_BUILD="_BLD_LD_FOR_BUILD"
BLD_RANLIB="_BLD_RANLIB"

#
#	Standard build flags
#
BLD_CFLAGS="_BLD_CFLAGS"
BLD_IFLAGS="_BLD_IFLAGS"
BLD_LDFLAGS="_BLD_LDFLAGS"

#
#	Standard file extensions
#
BLD_ARCHIVE=_BLD_ARCHIVE
BLD_EXE=_BLD_EXE
BLD_OBJ=_BLD_OBJ
BLD_PIOBJ=_BLD_PIOBJ
BLD_CLASS=_BLD_CLASS
BLD_SHLIB=_BLD_SHLIB
BLD_SHOBJ=_BLD_SHOBJ

################################################################################
#
#  Local variables:
#  tab-width: 4
#  c-basic-offset: 4
#  End:
#  vim600: sw=4 ts=4 fdm=marker
#  vim<600: sw=4 ts=4
#
